using System;
using System.Data;
using System.Data.SqlClient;
using System.Web;
using System.IO;
using System.Collections;
using System.Text.RegularExpressions;
using System.Text;

namespace UUN
{
    /// <summary>
    /// 编译Club/Topic_Edit2.aspx文件
    /// </summary>
    public class 编译扩展_Club_Topic_Edit2 : 编译扩展接口
    {
        private SqlConnection 连接;
        private HttpContext HC;
        private 编译器 编译器;

        public 编译扩展_Club_Topic_Edit2(SqlConnection 连接, HttpContext HC, 编译器 编译器)
        {
            this.连接 = 连接;
            this.HC = HC;
            this.编译器 = 编译器;
        }

        #region 编译扩展接口 成员

        public string 开始执行代码()
        {
            编译器.方法库 += @"
	private int BID;
	private int ID;
	private DataRow 论坛版块;
	private String 标题;
	private void 生成贴子内容()
	{
		标题=Request.Form[""title""];
		String 内容=Request.Form[""content""];
		if(标题.Length<1||标题.Length>50)
			throw new Exception(""标题的长度只能在1-50之间"");
		if(内容.Length<1)
			throw new Exception(""内容不能为空"");

		File.WriteAllText(Server.MapPath(程序.安装位置+""Data/DT_TieZhi/""+(ID/500)+""/""+ID+"".txt""),内容,Encoding.UTF8);
		SqlCommand 语句=new SqlCommand(""UPDATE [""+程序.数据表前缀+""社区_论坛_贴子] SET [标题]=@标题,""+
		""[贴子简介]=@贴子简介 WHERE [ID]=""+ID+"" AND [所属版块]=""+BID,访问.连接);
		语句.Parameters.Add(""@标题"",SqlDbType.NVarChar).Value=标题;
		语句.Parameters.Add(""@贴子简介"",SqlDbType.NVarChar).Value=常用.截取字符串(内容, 100);
		语句.ExecuteNonQuery();
	}
";
            String 返回值 = "";
            返回值 += @"
	ID=Convert.ToInt32(Request.QueryString[""ID""]);
	BID=Convert.ToInt32(Request.QueryString[""BID""]);
	论坛版块=常用.获取版块(BID);
	访问.验证会员();
	生成贴子内容();
";
            return 返回值;
        }

        public string 编译公共标签(string 代码)
        {
            switch (代码)
            {
                case "ID":
                    return @"
		返回值.Append(ID);
";
                case "标题":
                    return @"
		返回值.Append(Server.HtmlEncode(标题));
";
                case "版块ID":
                    return @"
		返回值.Append(BID);
";
                case "版块名称":
                    return @"
		返回值.Append(Server.HtmlEncode(论坛版块[""版块名称""].ToString()));
";
                default:
                    return "";
            }
        }

        public string 编译模板方法(string 方法名称, string[] 属性数组)
        {
            return "";
        }

        public string 结束执行代码()
        {
            return "";
        }

        #endregion
    }
}